<?php
/**
 * The template part for displaying audio post
 * @package Transport Movers
 * @subpackage transport_movers
 * @since 1.0
 */
?>
<?php
  $content = apply_filters( 'the_content', get_the_content() );
  $audio   = false;

  // Only get audio from the content if a playlist isn't present.
  if ( false === strpos( $content, 'wp-playlist-script' ) ) {
    $audio = get_media_embedded_in_content( $content, array( 'audio' ) );
  }
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('inner-service'); ?>>
  <div class="box-image">
    <?php
      if ( ! is_single() ) {
        // If not a single post, highlight the audio file.
        if ( ! empty( $audio ) ) {
          foreach ( $audio as $audio_html ) {
            echo '<div class="entry-audio">';
              echo $audio_html;
            echo '</div><!-- .entry-audio -->';
          }
        };
      };
    ?>
  </div>
  <h2 class="section-title mb-2"><a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php echo the_title_attribute(); ?>"><?php the_title();?><span class="screen-reader-text"><?php the_title(); ?></span></a></h2> 
  <?php if( get_theme_mod( 'transport_movers_metafields_date',true) != '' || get_theme_mod( 'transport_movers_metafields_author',true) != '' || get_theme_mod( 'transport_movers_metafields_comment',true) != '' || get_theme_mod( 'transport_movers_single_post_time',true) != '') { ?>
    <div class="metabox mb-3">
      <?php if( get_theme_mod( 'transport_movers_metafields_date',true) != '') { ?>
        <span class="entry-date me-3"><i class="<?php echo esc_attr(get_theme_mod('transport_movers_post_date_icon','far fa-calendar-alt')); ?> me-2"></i><a href="<?php echo esc_url( get_day_link( $archive_year, $archive_month, $archive_day)); ?>"><?php echo esc_html( get_the_date() ); ?><span class="screen-reader-text"><?php echo esc_html( get_the_date() ); ?></span></a></span><?php echo esc_html( get_theme_mod('transport_movers_single_post_meta_seperator') ); ?>
      <?php }?>
      <?php if( get_theme_mod( 'transport_movers_metafields_author',true) != '') { ?>
        <span class="entry-author me-3"><i class="<?php echo esc_attr(get_theme_mod('transport_movers_post_author_icon','fas fa-user')); ?> me-2"></i><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' )) ); ?>"><?php the_author(); ?><span class="screen-reader-text"><?php the_title(); ?></span></a></span><?php echo esc_html( get_theme_mod('transport_movers_single_post_meta_seperator') ); ?>
      <?php }?>
      <?php if( get_theme_mod( 'transport_movers_metafields_comment',true) != '') { ?>
        <i class="<?php echo esc_attr(get_theme_mod('transport_movers_post_comment_icon','fas fa-comments')); ?> me-2"></i><span class="entry-comments me-3"> <?php comments_number( __('0 Comment', 'transport-movers'), __('0 Comments', 'transport-movers'), __('% Comments', 'transport-movers') ); ?></span>
      <?php }?>
      <?php if( get_theme_mod( 'transport_movers_single_post_time',false) != '' ) { ?>
          <?php echo esc_html( get_theme_mod('transport_movers_blog_post_meta_seperator') ); ?><span class="entry-time me-3"><i class="<?php echo esc_attr(get_theme_mod('transport_movers_single_post_time_icon','fas fa-clock')); ?> me-2"></i> <?php echo esc_html( get_the_time() ); ?></span>
        <?php }?>
    </div>
  <?php }?> 
  <div class="new-text my-2">
    <?php $transport_movers_theme_lay = get_theme_mod( 'transport_movers_content_settings','Excerpt');
    if($transport_movers_theme_lay == 'Content'){ ?>
      <?php the_content(); ?>
    <?php }
    if($transport_movers_theme_lay == 'Excerpt'){ ?>
      <?php if(get_the_excerpt()) { ?>
        <?php $excerpt = get_the_excerpt(); echo esc_html( transport_movers_string_limit_words( $excerpt, esc_attr(get_theme_mod('transport_movers_post_excerpt_number','30')))); ?> <?php echo esc_html( get_theme_mod('transport_movers_post_discription_suffix','[...]') ); ?>
      <?php }?>
    <?php }?>
  </div> 
  <?php if( get_theme_mod('transport_movers_button_text','View More') != ''){ ?>
    <div class="postbtn mt-3">
      <a href="<?php the_permalink(); ?>"><?php echo esc_html(get_theme_mod('transport_movers_button_text','View More'));?><i class="<?php echo esc_attr(get_theme_mod('transport_movers_post_button_icon','fas fa-long-arrow-alt-right')); ?> me-2 py-0 px-2"></i><span class="screen-reader-text"><?php echo esc_html(get_theme_mod('transport_movers_button_text','View More'));?>/span></a>
    </div>
  <?php }?>
</article>